# 屏幕刷新率

屏幕刷新率代表一体机屏幕每秒的刷新次数，与画面质量息息相关。屏幕刷新率越高，画面的质量越高。一般来讲，屏幕刷新率要达到 75 Hz 以上，人眼才不易感觉出屏幕的闪烁。


## 注意事项

- 低屏幕刷新率容易导致掉帧、卡顿、撕裂、延迟等问题，影响用户的应用体验。YVR 应用的默认刷新率为 72 Hz。你可以根据实际需求为应用配置更高的刷新率。例如，对于竞速类游戏，需要配置高刷新率以保证画面的流畅性和稳定性。

- 高屏幕刷新率可能会影响应用性能。因此，若你需要为应用配置高刷新率，需同时保证应用性能的稳定性。在应用调试阶段，你可以使用性能监控与分析工具监控应用性能，确保应用可以承受高屏幕刷新率。详情可参考性能监控与分析 。

- 高屏幕刷新率可能会影响设备寿命。


## 设置屏幕刷新率

1. 在 Unity 编辑器中打开项目。
2. 在上方菜单栏处，选择 **Edit** > **Project Settings**。
3. 在 **Project Settings** 窗口中，展开 **XR Plug-in Management**，选择 **YVR** > **Android 设置图标**。
4. 选择 Display Refresh Rates。

| **刷新** | **说明** |
| ------- | ---------------- | 
| Default | 默认刷新率，目前为 72 Hz。 |
| Refresh Rate 72 | 72 Hz 刷新率。 |
| Refresh Rate 90 | 90 Hz （推荐）。 |
| Refresh Rate 120 | 120 Hz 刷新率。 |